---

- hosts: all
  vars:
  - users: 
    - ansible

  tasks:
  - name: "Ensure the Ansible account exist"
    user:
      name: "{{ item }}"
      groups: ["admin", "sudo"]
      shell: /bin/bash
    loop: "{{ users }}"
    tags: create_user_accounts


  - name: "Added authorized keys"
    authorized_key:
      user: "{{ item }}"
      key: "{{ lookup('file', 'files/' + item + '.pub') }}"
    loop: "{{ users }}"
    
  - name: "Allow sudo users to sudo without password"
    lineinfile:
      dest: "/etc/sudoers"
      state: "present"
      regexp: "^%sudo"
      line: "%sudo    ALL=(ALL:ALL) NOPASSWD:ALL"

  - name: "Disable Password Auth"
    lineinfile:
      dest=/etc/ssh/sshd_config
      regexp='^PasswordAuthentication'
      line="PasswordAuthentication no"
      state=present
      backup=yes

    notify:
    - restart ssh


  handlers:
  - name: restart ssh
    service: 
      name=sshd
      state=restarted 

